Upsert user invitations to a flow
curl --request PUT \
--url https://flows.super.ai/api/flows/{flow_id}/invitations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://flows.super.ai/api/flows/{flow_id}/invitations"
payload = { "user_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({user_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://flows.super.ai/api/flows/{flow_id}/invitations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flows.super.ai/api/flows/{flow_id}/invitations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'user_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://flows.super.ai/api/flows/{flow_id}/invitations"
payload := strings.NewReader("{\n \"user_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://flows.super.ai/api/flows/{flow_id}/invitations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"user_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://flows.super.ai/api/flows/{flow_id}/invitations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"user_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invited_user_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"message": "<string>",
"total_invitations": 123,
"skipped_user_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}flows
Upsert user invitations to a flow
Upsert invitations for multiple users to access a flow.
This endpoint allows admins to invite worker users to specific flows. Only users with the worker role will be invited - other users are automatically filtered out. Invited users will be able to access the flow and its executions through the RLS policies enforced at the database level.
Permissions
- Only org_admin role can create/update invitations
- Users must belong to the same organization as the flow
Behavior
- Upsert semantics: Creates new invitations or updates existing ones
- Role filtering: Only users with worker role are invited (others are skipped)
- If a user_id doesn’t have worker role, it’s silently skipped
- Returns both invited user IDs and skipped user IDs
- All operations are performed in a single transaction
Use Cases
- Grant worker access to specific flows
- Update existing invitations (refresh updated_at timestamp)
- Manage flow-level permissions for review workflows
- Enable selective flow visibility for team members
Example
If you send user_ids: [user1, user2, user3, user4] and only user1, user2, user3 have worker role:
- Response will show invited_user_ids: [user1, user2, user3]
- Response will show skipped_user_ids: [user4]
PUT
/
api
/
flows
/
{flow_id}
/
invitations
Upsert user invitations to a flow
curl --request PUT \
--url https://flows.super.ai/api/flows/{flow_id}/invitations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://flows.super.ai/api/flows/{flow_id}/invitations"
payload = { "user_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({user_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://flows.super.ai/api/flows/{flow_id}/invitations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flows.super.ai/api/flows/{flow_id}/invitations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'user_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://flows.super.ai/api/flows/{flow_id}/invitations"
payload := strings.NewReader("{\n \"user_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://flows.super.ai/api/flows/{flow_id}/invitations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"user_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://flows.super.ai/api/flows/{flow_id}/invitations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"user_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invited_user_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"message": "<string>",
"total_invitations": 123,
"skipped_user_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}Authorizations
BearerAuthAPIKeyAuth
JWT Bearer token authentication. Include your access token in the Authorization header as: Bearer YOUR_ACCESS_TOKEN
Example:
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
Path Parameters
Body
application/json
Request model for creating flow invitations.
List of user IDs to invite to the flow
Minimum array length:
1Response
Users successfully invited/updated for the flow